Bug 1276747 - rhel-7-for-system-z-rpms/7Server/s390x/productid [Errno -1] Metadata file does not match checksum
rhel-7-for-system-z-rpms/7Server/s390x/productid [Errno -1] Metadata file doe...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: releng (Show other bugs)
7.3
Unspecified Unspecified
high Severity high
: rc
: ---
Assigned To: Lubos Kocman
rnester
:
Depends On:
Blocks: 1203710
  Show dependency treegraph
 
Reported: 2015-10-30 13:42 EDT by John Sefler
Modified: 2016-11-15 09:21 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-11-15 09:21:07 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Sefler 2015-10-30 13:42:19 EDT
Description of problem:
There is a checksum difference bewteen the the actual productid and the value in the repomd.xml for CDN file:

https://cdn.redhat.com/content/dist/rhel/system-z/7/7Server/s390x/os/repodata/productid

Actual checksum is 2d09725f50057c3404f7e390026bd9daf37fb20d32c6a0b45dcc608a45629f44
Repomd checksum is 48d96dbac654ef543d0e8988a9fc68d4427c46797269de147a5e4220ac66d53c

Version-Release number of selected component (if applicable):





How reproducible:


Steps to Reproduce:
[root@ibm-z10-30 ~]# subscription-manager register --username=stage_auto_testuser1 --serverurl=subscription.rhn.stage.redhat.com:443/subscription --baseurl=https://cdn.redhat.com --auto-attach
Registering to: subscription.rhn.stage.redhat.com:443/subscription
Password: 
The system has been registered with ID: c15d07d3-6897-4b91-8e60-2a50c45b115c 

Installed Product Current Status:
Product Name: Red Hat Enterprise Linux for IBM z Systems
Status:       Subscribed

[root@ibm-z10-30 ~]# yum install ghostscript
Loaded plugins: product-id, search-disabled-repos, subscription-manager
Resolving Dependencies
--> Running transaction check
---> Package ghostscript.s390x 0:9.07-18.el7 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package            Arch         Version             Repository            Size
================================================================================
Installing:
 ghostscript        s390x        9.07-18.el7         beaker-Server        4.3 M

Transaction Summary
================================================================================
Install  1 Package

Total download size: 4.3 M
Installed size: 17 M
Is this ok [y/d/N]: N
Exiting on user command
Your transaction was saved, rerun it with:
 yum load-transaction /tmp/yum_save_tx.2015-10-30.13-15.B7hftU.yumtx
[root@ibm-z10-30 ~]# yum install ghostscript --disablerepo=beaker*
Loaded plugins: product-id, search-disabled-repos, subscription-manager
Resolving Dependencies
--> Running transaction check
---> Package ghostscript.s390x 0:9.07-18.el7 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package         Arch      Version           Repository                    Size
================================================================================
Installing:
 ghostscript     s390x     9.07-18.el7       rhel-7-for-system-z-rpms     4.3 M

Transaction Summary
================================================================================
Install  1 Package

Total download size: 4.3 M
Installed size: 17 M
Is this ok [y/d/N]: y
Downloading packages:
ghostscript-9.07-18.el7.s390x.rpm                          | 4.3 MB   00:00     
Running transaction check
Running transaction test
Transaction test succeeded
Running transaction
  Installing : ghostscript-9.07-18.el7.s390x                                1/1 
rhel-7-for-system-z-rpms/7Server/s390x/productid         | 2.1 kB     00:00     
https://cdn.redhat.com/content/dist/rhel/system-z/7/7Server/s390x/os/repodata/productid: [Errno -1] Metadata file does not match checksum
Trying other mirror.
  Verifying  : ghostscript-9.07-18.el7.s390x                                1/1 

Installed:
  ghostscript.s390x 0:9.07-18.el7                                               

Complete!




Actual results:
rhel-7-for-system-z-rpms/7Server/s390x/productid         | 2.1 kB     00:00     
https://cdn.redhat.com/content/dist/rhel/system-z/7/7Server/s390x/os/repodata/productid: [Errno -1] Metadata file does not match checksum

Expected results:
Did not expect this repo metadata error

Additional info:

[root@ibm-z10-30 ~]# wget https://cdn.redhat.com/content/dist/rhel/system-z/7/7Server/s390x/os/repodata/productid --certificate=/etc/pki/entitlement/1332947966809755881.pem --private-key=/etc/pki/entitlement/1332947966809755881-key.pem --ca-certificate=/etc/rhsm/ca/redhat-uep.pem 
--2015-10-30 13:33:34--  https://cdn.redhat.com/content/dist/rhel/system-z/7/7Server/s390x/os/repodata/productid
Resolving cdn.redhat.com (cdn.redhat.com)... 173.222.212.251
Connecting to cdn.redhat.com (cdn.redhat.com)|173.222.212.251|:443... connected.
HTTP request sent, awaiting response... 200 OK
Length: 2179 (2.1K) [text/plain]
Saving to: ‘productid’

100%[======================================>] 2,179       --.-K/s   in 0s      

2015-10-30 13:33:35 (678 MB/s) - ‘productid’ saved [2179/2179]

[root@ibm-z10-30 ~]# shasum -a 256 productid 
2d09725f50057c3404f7e390026bd9daf37fb20d32c6a0b45dcc608a45629f44  productid

[root@ibm-z10-30 ~]# wget https://cdn.redhat.com/content/dist/rhel/system-z/7/7Server/s390x/os/repodata/repomd.xml --certificate=/etc/pki/entitlement/1332947966809755881.pem --private-key=/etc/pki/entitlement/1332947966809755881-key.pem --ca-certificate=/etc/rhsm/ca/redhat-uep.pem 
--2015-10-30 13:35:46--  https://cdn.redhat.com/content/dist/rhel/system-z/7/7Server/s390x/os/repodata/repomd.xml
Resolving cdn.redhat.com (cdn.redhat.com)... 173.222.212.251
Connecting to cdn.redhat.com (cdn.redhat.com)|173.222.212.251|:443... connected.
HTTP request sent, awaiting response... 200 OK
Length: 4132 (4.0K) [application/xml]
Saving to: ‘repomd.xml’

100%[======================================>] 4,132       --.-K/s   in 0s      

2015-10-30 13:35:47 (517 MB/s) - ‘repomd.xml’ saved [4132/4132]

[root@ibm-z10-30 ~]# grep -A5 "data type=\"productid\">" repomd.xml 
  <data type="productid">
    <checksum type="sha256">48d96dbac654ef543d0e8988a9fc68d4427c46797269de147a5e4220ac66d53c</checksum>
    <location href="repodata/productid"/>
    <timestamp>1401813325</timestamp>
    <size>2179</size>
  </data>


BANG! checksums do not match
Comment 3 Steffen Hau 2015-11-23 08:07:34 EST
I have the same issue on x86_64 with rhel-7-server-rpms

rhel-7-server-rpms/7Server/x86 FAILED                                                                                     87% [=================================================================================================              ]  14 MB/s |  65 MB  00:00:00 ETA 
https://cdn.redhat.com/content/dist/rhel/server/7/7Server/x86_64/os/repodata/productid: [Errno -1] Metadata file does not match checksum========================================================================================          


wget --certificate /etc/pki/entitlement/<sn>.pem --private-key /etc/pki/entitlement/<sn>-key.pem --ca-certificate /etc/rhsm/ca/redhat-uep.pem https://cdn.redhat.com/content/dist/rhel/server/7/7Server/x86_64/os/repodata/productid

sha256sum productid 
71f6c43609aa5e87d14d7c6eae9efe28018ef6ee6dd71b9287cd54782b6c320a  productid

wget --certificate /etc/pki/entitlement/<sn>.pem --private-key /etc/pki/entitlement/<sn>-key.pem --ca-certificate /etc/rhsm/ca/redhat-uep.pem https://cdn.redhat.com/content/dist/rhel/server/7/7Server/x86_64/os/repodata/repomd.xml
grep -A5 "data type=\"productid\">" repomd.xml 

  <data type="productid">
    <checksum type="sha256">37e5578359c2bda8c59f39e200710846d5a27725c1fbdc7ac59f0cc31c551577</checksum>
    <location href="repodata/productid"/>
    <timestamp>1401813444</timestamp>
    <size>2159</size>
  </data>
Comment 4 Yanick Girouard 2015-12-07 08:54:53 EST
Also getting this error on a freshly registered RHEL 7 server. Got same result as demonstrated by Steffen Hau.
Comment 6 Yanick Girouard 2015-12-08 08:52:42 EST
I was informed by Red Hat via support case 01550498 that this bug's priority was increased and resolution is in process. Stay tuned !
Comment 8 Yanick Girouard 2015-12-15 15:11:22 EST
The issue seems fixed on my end. Can anyone else confirm?
Comment 12 Jan Blazek 2016-01-11 10:30:59 EST
repodata have been regenerated and synced to CDN.
The metadata should now match the checksum.
Comment 13 rnester 2016-01-11 11:26:22 EST
SHA1 checksum for productid file from repomd.xml file in https://cdn.redhat.com/content/dist/rhel/system-z/7/7Server/s390x/os/repodata/ matches checksum for file downloaded at https://cdn.redhat.com/content/dist/rhel/system-z/7/7Server/s390x/os/repodata/productid.gz

From repomd.xml:
<data type="productid">
<location href="repodata/productid.gz"/>
<checksum type="sha">ab0da1a1e7de7f2f89555c676abcd0ab405418f8</checksum>
<timestamp>1452192720.92</timestamp>
<open-checksum type="sha">04e1bd9f1802a0966ef496a3de0d95f25ea21e3d</open-checksum>
</data>

# shasum ~/Downloads/productid.gz
ab0da1a1e7de7f2f89555c676abcd0ab405418f8  /Users/rnester/Downloads/productid.gz

Note You need to log in before you can comment on or make changes to this bug.